const express= require("express");
const cloudinary = require('cloudinary').v2;
const router = express.Router();

// צריך להיות מוחלף מהאתר של CLOUDINARY
cloudinary.config({
  cloud_name: "ZZZ",
  api_key: "ZZ",
  api_secret: "ZZZ"
});

router.get("/" , (req,res)=> {
  res.json({msg:"Upload work !"})
})

router.post("/file_data", async(req,res) => {
  
  try{
    // console.log(req.files.myFile);
    const myFile = req.body.myFile
    const data = await cloudinary.uploader.upload(myFile,{unique_filename:true});
    res.json(data);
  }
  catch(err){
    console.log(err);
    res.status(502).json({err})
  }
  // res.json({msg:"Test file",name:myFile.name})
  
})

router.post("/test1", async(req,res) => {
  
  try{
    // console.log(req.files.myFile);
    const myFile = req.files.myFile
    const data = await cloudinary.uploader.upload(myFile.tempFilePath,{unique_filename:true});
    res.json(data);
  }
  catch(err){
    console.log(err);
    res.status(502).json({err})
  }
  // res.json({msg:"Test file",name:myFile.name})
  
})

module.exports = router;